<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:12 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>JavaCompile (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="JavaCompile (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/tasks/compile/GroovyForkOptions.html" title="class in org.gradle.api.tasks.compile"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/tasks/compile/JavaCompile.html" target="_top">Frames</a></li>
<li><a href="JavaCompile.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields_inherited_from_class_org.gradle.api.tasks.SourceTask">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.tasks.compile</div>
<h2 title="Class JavaCompile" class="title">Class JavaCompile</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.internal.AbstractTask</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/gradle/api/DefaultTask.html" title="class in org.gradle.api">org.gradle.api.DefaultTask</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.internal.ConventionTask</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/gradle/api/tasks/SourceTask.html" title="class in org.gradle.api.tasks">org.gradle.api.tasks.SourceTask</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/gradle/api/tasks/compile/AbstractCompile.html" title="class in org.gradle.api.tasks.compile">org.gradle.api.tasks.compile.AbstractCompile</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.tasks.compile.JavaCompile</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, <a href="../../../../../org/gradle/api/plugins/ExtensionAware.html" title="interface in org.gradle.api.plugins">ExtensionAware</a>, <a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>, <a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html" title="interface in org.gradle.api.tasks.util">PatternFilterable</a>, org.gradle.util.Configurable&lt;<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;</dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../org/gradle/language/java/tasks/PlatformJavaCompile.html" title="class in org.gradle.language.java.tasks">PlatformJavaCompile</a></dd>
</dl>
<hr>
<br>
<pre><a href="../../../../../org/gradle/api/tasks/CacheableTask.html" title="annotation in org.gradle.api.tasks">@CacheableTask</a>
public class <span class="strong">JavaCompile</span>
extends <a href="../../../../../org/gradle/api/tasks/compile/AbstractCompile.html" title="class in org.gradle.api.tasks.compile">AbstractCompile</a></pre>
<div class="block">Compiles Java source files.

 <pre class='autoTested'>
     apply plugin: 'java'

     tasks.withType(JavaCompile) {
         //enable compilation in a separate daemon process
         options.fork = true

         //enable incremental compilation
         options.incremental = true
     }
 </pre></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../../org/gradle/api/Task.Namer.html" title="class in org.gradle.api">Task.Namer</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_org.gradle.api.tasks.SourceTask">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.gradle.api.tasks.<a href="../../../../../org/gradle/api/tasks/SourceTask.html" title="class in org.gradle.api.tasks">SourceTask</a></h3>
<code><a href="../../../../../org/gradle/api/tasks/SourceTask.html#source">source</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../../org/gradle/api/Task.html#TASK_ACTION">TASK_ACTION</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_DEPENDS_ON">TASK_DEPENDS_ON</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_DESCRIPTION">TASK_DESCRIPTION</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_GROUP">TASK_GROUP</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_NAME">TASK_NAME</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_OVERWRITE">TASK_OVERWRITE</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_TYPE">TASK_TYPE</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../org/gradle/api/tasks/compile/JavaCompile.html#JavaCompile()">JavaCompile</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/compile/JavaCompile.html#compile()">compile</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/compile/JavaCompile.html#compile(org.gradle.api.tasks.incremental.IncrementalTaskInputs)">compile</a></strong>(<a href="../../../../../org/gradle/api/tasks/incremental/IncrementalTaskInputs.html" title="interface in org.gradle.api.tasks.incremental">IncrementalTaskInputs</a>&nbsp;inputs)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected org.gradle.cache.CacheRepository</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/compile/JavaCompile.html#getCacheRepository()">getCacheRepository</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected org.gradle.internal.hash.FileHasher</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/compile/JavaCompile.html#getCachingFileHasher()">getCachingFileHasher</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/compile/JavaCompile.html#getClasspath()">getClasspath</a></strong>()</code>
<div class="block">Returns the classpath to use to compile the source files.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/compile/JavaCompile.html#getEffectiveAnnotationProcessorPath()">getEffectiveAnnotationProcessorPath</a></strong>()</code>
<div class="block">Returns the path to use for annotation processor discovery.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected org.gradle.api.internal.file.FileOperations</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/compile/JavaCompile.html#getFileOperations()">getFileOperations</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected org.gradle.api.internal.tasks.compile.incremental.cache.GeneralCompileCaches</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/compile/JavaCompile.html#getGeneralCompileCaches()">getGeneralCompileCaches</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected org.gradle.api.internal.tasks.JavaToolChainFactory</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/compile/JavaCompile.html#getJavaToolChainFactory()">getJavaToolChainFactory</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/tasks/compile/CompileOptions.html" title="class in org.gradle.api.tasks.compile">CompileOptions</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/compile/JavaCompile.html#getOptions()">getOptions</a></strong>()</code>
<div class="block">Returns the compilation options.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../org/gradle/jvm/platform/JavaPlatform.html" title="interface in org.gradle.jvm.platform">JavaPlatform</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/compile/JavaCompile.html#getPlatform()">getPlatform</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file">FileTree</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/compile/JavaCompile.html#getSource()">getSource</a></strong>()</code>
<div class="block">Returns the source for this task, after the include and exclude patterns have been applied.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected org.gradle.internal.hash.StreamHasher</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/compile/JavaCompile.html#getStreamHasher()">getStreamHasher</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/jvm/toolchain/JavaToolChain.html" title="interface in org.gradle.jvm.toolchain">JavaToolChain</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/compile/JavaCompile.html#getToolChain()">getToolChain</a></strong>()</code>
<div class="block">Returns the tool chain that will be used to compile the Java source.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/compile/JavaCompile.html#setToolChain(org.gradle.jvm.toolchain.JavaToolChain)">setToolChain</a></strong>(<a href="../../../../../org/gradle/jvm/toolchain/JavaToolChain.html" title="interface in org.gradle.jvm.toolchain">JavaToolChain</a>&nbsp;toolChain)</code>
<div class="block">Sets the tool chain that should be used to compile the Java source.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.tasks.compile.AbstractCompile">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.tasks.compile.<a href="../../../../../org/gradle/api/tasks/compile/AbstractCompile.html" title="class in org.gradle.api.tasks.compile">AbstractCompile</a></h3>
<code><a href="../../../../../org/gradle/api/tasks/compile/AbstractCompile.html#getDestinationDir()">getDestinationDir</a>, <a href="../../../../../org/gradle/api/tasks/compile/AbstractCompile.html#getSourceCompatibility()">getSourceCompatibility</a>, <a href="../../../../../org/gradle/api/tasks/compile/AbstractCompile.html#getTargetCompatibility()">getTargetCompatibility</a>, <a href="../../../../../org/gradle/api/tasks/compile/AbstractCompile.html#setClasspath(org.gradle.api.file.FileCollection)">setClasspath</a>, <a href="../../../../../org/gradle/api/tasks/compile/AbstractCompile.html#setDestinationDir(java.io.File)">setDestinationDir</a>, <a href="../../../../../org/gradle/api/tasks/compile/AbstractCompile.html#setDestinationDir(org.gradle.api.provider.Provider)">setDestinationDir</a>, <a href="../../../../../org/gradle/api/tasks/compile/AbstractCompile.html#setSourceCompatibility(java.lang.String)">setSourceCompatibility</a>, <a href="../../../../../org/gradle/api/tasks/compile/AbstractCompile.html#setTargetCompatibility(java.lang.String)">setTargetCompatibility</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.tasks.SourceTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.tasks.<a href="../../../../../org/gradle/api/tasks/SourceTask.html" title="class in org.gradle.api.tasks">SourceTask</a></h3>
<code><a href="../../../../../org/gradle/api/tasks/SourceTask.html#exclude(groovy.lang.Closure)">exclude</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#exclude(java.lang.Iterable)">exclude</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#exclude(org.gradle.api.specs.Spec)">exclude</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#exclude(java.lang.String...)">exclude</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#getExcludes()">getExcludes</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#getIncludes()">getIncludes</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#getPatternSetFactory()">getPatternSetFactory</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#include(groovy.lang.Closure)">include</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#include(java.lang.Iterable)">include</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#include(org.gradle.api.specs.Spec)">include</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#include(java.lang.String...)">include</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#setExcludes(java.lang.Iterable)">setExcludes</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#setIncludes(java.lang.Iterable)">setIncludes</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#setSource(org.gradle.api.file.FileTree)">setSource</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#setSource(java.lang.Object)">setSource</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#source(java.lang.Object...)">source</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.internal.ConventionTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.internal.ConventionTask</h3>
<code>conventionMapping, conventionMapping, getConventionMapping</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.internal.AbstractTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.internal.AbstractTask</h3>
<code>addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, newInputFile, newOutputDirectory, newOutputFile, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="JavaCompile()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>JavaCompile</h4>
<pre>public&nbsp;JavaCompile()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getSource()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSource</h4>
<pre><a href="../../../../../org/gradle/api/tasks/PathSensitive.html" title="annotation in org.gradle.api.tasks">@PathSensitive</a>(<a href="../../../../../org/gradle/api/tasks/PathSensitive.html#value()">value</a>=<a href="../../../../../org/gradle/api/tasks/PathSensitivity.html#NAME_ONLY">NAME_ONLY</a>)
public&nbsp;<a href="../../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file">FileTree</a>&nbsp;getSource()</pre>
<div class="block">Returns the source for this task, after the include and exclude patterns have been applied. Ignores source files which do not exist.</div>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="../../../../../org/gradle/api/tasks/SourceTask.html#getSource()">getSource</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/gradle/api/tasks/SourceTask.html" title="class in org.gradle.api.tasks">SourceTask</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>The source.</dd></dl>
</li>
</ul>
<a name="getToolChain()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getToolChain</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;<a href="../../../../../org/gradle/jvm/toolchain/JavaToolChain.html" title="interface in org.gradle.jvm.toolchain">JavaToolChain</a>&nbsp;getToolChain()</pre>
<div class="block">Returns the tool chain that will be used to compile the Java source.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The tool chain.</dd></dl>
</li>
</ul>
<a name="setToolChain(org.gradle.jvm.toolchain.JavaToolChain)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setToolChain</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;void&nbsp;setToolChain(<a href="../../../../../org/gradle/jvm/toolchain/JavaToolChain.html" title="interface in org.gradle.jvm.toolchain">JavaToolChain</a>&nbsp;toolChain)</pre>
<div class="block">Sets the tool chain that should be used to compile the Java source.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>toolChain</code> - The tool chain.</dd></dl>
</li>
</ul>
<a name="compile(org.gradle.api.tasks.incremental.IncrementalTaskInputs)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>compile</h4>
<pre>protected&nbsp;void&nbsp;compile(<a href="../../../../../org/gradle/api/tasks/incremental/IncrementalTaskInputs.html" title="interface in org.gradle.api.tasks.incremental">IncrementalTaskInputs</a>&nbsp;inputs)</pre>
</li>
</ul>
<a name="getStreamHasher()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStreamHasher</h4>
<pre>@Inject
protected&nbsp;org.gradle.internal.hash.StreamHasher&nbsp;getStreamHasher()</pre>
</li>
</ul>
<a name="getCachingFileHasher()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCachingFileHasher</h4>
<pre>@Inject
protected&nbsp;org.gradle.internal.hash.FileHasher&nbsp;getCachingFileHasher()</pre>
</li>
</ul>
<a name="getFileOperations()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFileOperations</h4>
<pre>@Inject
protected&nbsp;org.gradle.api.internal.file.FileOperations&nbsp;getFileOperations()</pre>
</li>
</ul>
<a name="getGeneralCompileCaches()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGeneralCompileCaches</h4>
<pre>@Inject
protected&nbsp;org.gradle.api.internal.tasks.compile.incremental.cache.GeneralCompileCaches&nbsp;getGeneralCompileCaches()</pre>
</li>
</ul>
<a name="getCacheRepository()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCacheRepository</h4>
<pre>@Inject
protected&nbsp;org.gradle.cache.CacheRepository&nbsp;getCacheRepository()</pre>
</li>
</ul>
<a name="getJavaToolChainFactory()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getJavaToolChainFactory</h4>
<pre>@Inject
protected&nbsp;org.gradle.api.internal.tasks.JavaToolChainFactory&nbsp;getJavaToolChainFactory()</pre>
</li>
</ul>
<a name="compile()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>compile</h4>
<pre>protected&nbsp;void&nbsp;compile()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/api/tasks/compile/AbstractCompile.html#compile()">compile</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/gradle/api/tasks/compile/AbstractCompile.html" title="class in org.gradle.api.tasks.compile">AbstractCompile</a></code></dd>
</dl>
</li>
</ul>
<a name="getPlatform()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPlatform</h4>
<pre>protected&nbsp;<a href="../../../../../org/gradle/jvm/platform/JavaPlatform.html" title="interface in org.gradle.jvm.platform">JavaPlatform</a>&nbsp;getPlatform()</pre>
</li>
</ul>
<a name="getOptions()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOptions</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/api/tasks/compile/CompileOptions.html" title="class in org.gradle.api.tasks.compile">CompileOptions</a>&nbsp;getOptions()</pre>
<div class="block">Returns the compilation options.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The compilation options.</dd></dl>
</li>
</ul>
<a name="getClasspath()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getClasspath</h4>
<pre><a href="../../../../../org/gradle/api/tasks/CompileClasspath.html" title="annotation in org.gradle.api.tasks">@CompileClasspath</a>
public&nbsp;<a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;getClasspath()</pre>
<div class="block"><strong>Description copied from class:&nbsp;<code><a href="../../../../../org/gradle/api/tasks/compile/AbstractCompile.html#getClasspath()">AbstractCompile</a></code></strong></div>
<div class="block">Returns the classpath to use to compile the source files.</div>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="../../../../../org/gradle/api/tasks/compile/AbstractCompile.html#getClasspath()">getClasspath</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/gradle/api/tasks/compile/AbstractCompile.html" title="class in org.gradle.api.tasks.compile">AbstractCompile</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>The classpath.</dd></dl>
</li>
</ul>
<a name="getEffectiveAnnotationProcessorPath()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getEffectiveAnnotationProcessorPath</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="../../../../../org/gradle/api/tasks/Classpath.html" title="annotation in org.gradle.api.tasks">@Classpath</a>
public&nbsp;<a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;getEffectiveAnnotationProcessorPath()</pre>
<div class="block">Returns the path to use for annotation processor discovery. Returns an empty collection when no processing should be performed, for example when no annotation processors are present in the compile classpath or annotation processing has been disabled.

 <p>You can specify this path using <a href="../../../../../org/gradle/api/tasks/compile/CompileOptions.html#setAnnotationProcessorPath(org.gradle.api.file.FileCollection)"><code>CompileOptions.setAnnotationProcessorPath(FileCollection)</code></a> or <a href="../../../../../org/gradle/api/tasks/compile/CompileOptions.html#setCompilerArgs(java.util.List)"><code>CompileOptions.setCompilerArgs(java.util.List)</code></a>. When not explicitly set using one of the methods on <a href="../../../../../org/gradle/api/tasks/compile/CompileOptions.html" title="class in org.gradle.api.tasks.compile"><code>CompileOptions</code></a>, the compile classpath will be used when there are annotation processors present in the compile classpath. Otherwise this path will be empty.

 <p>This path is always empty when annotation processing is disabled.</p></div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>3.4</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/tasks/compile/GroovyForkOptions.html" title="class in org.gradle.api.tasks.compile"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/tasks/compile/JavaCompile.html" target="_top">Frames</a></li>
<li><a href="JavaCompile.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields_inherited_from_class_org.gradle.api.tasks.SourceTask">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
